diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-power-adaptation-distance.cc ns-3.44/examples/wireless/wifi-power-adaptation-distance.cc
--- ns-3.43/examples/wireless/wifi-power-adaptation-distance.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-power-adaptation-distance.cc	2025-03-09 16:55:49.339371000 -0700
@@ -17,12 +17,12 @@
  * into an eps file, by running:
  * \code{.sh}
  *   gnuplot throughput-parf.plt
- * \endcode
+ * @endcode
  * Also, to enable logging of rate and power changes to the terminal, set this
  * environment variable:
  * \code{.sh}
  *   export NS_LOG=PowerAdaptationDistance=level_info
- * \endcode
+ * @endcode
  *
  * This simulation consist of 2 nodes, one AP and one STA.
  * The AP generates UDP traffic with a CBR of 54 Mbps to the STA.
@@ -55,7 +55,7 @@
  * To display all the possible arguments and their defaults:
  * \code{.sh}
  *   ./ns3 run "wifi-power-adaptation-distance --help"
- * \endcode
+ * @endcode
  *
  * Example usage (selecting Aparf rather than Parf):
  * \code{.sh}
@@ -70,7 +70,7 @@
  * To enable the log of rate and power changes:
  * \code{.sh}
  *   export NS_LOG=PowerAdaptationDistance=level_info
- * \endcode
+ * @endcode
  */
 
 #include "ns3/command-line.h"
@@ -100,85 +100,85 @@
 static const uint32_t packetSize = 1420;
 
 /**
- * \brief Class to collect node statistics.
+ * @brief Class to collect node statistics.
  */
 class NodeStatistics
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      *
-     * \param aps Access points
-     * \param stas WiFi Stations.
+     * @param aps Access points
+     * @param stas WiFi Stations.
      */
     NodeStatistics(NetDeviceContainer aps, NetDeviceContainer stas);
 
     /**
-     * \brief Callback called by WifiNetDevice/Phy/PhyTxBegin.
+     * @brief Callback called by WifiNetDevice/Phy/PhyTxBegin.
      *
-     * \param path The trace path.
-     * \param packet The sent packet.
-     * \param powerW The Tx power.
+     * @param path The trace path.
+     * @param packet The sent packet.
+     * @param powerW The Tx power.
      */
     void PhyCallback(std::string path, Ptr<const Packet> packet, double powerW);
     /**
-     * \brief Callback called by PacketSink/Rx.
+     * @brief Callback called by PacketSink/Rx.
      *
-     * \param path The trace path.
-     * \param packet The received packet.
-     * \param from The sender address.
+     * @param path The trace path.
+     * @param packet The received packet.
+     * @param from The sender address.
      */
     void RxCallback(std::string path, Ptr<const Packet> packet, const Address& from);
     /**
-     * \brief Callback called by WifiNetDevice/RemoteStationManager/x/PowerChange.
+     * @brief Callback called by WifiNetDevice/RemoteStationManager/x/PowerChange.
      *
-     * \param path The trace path.
-     * \param oldPower Old Tx power.
-     * \param newPower Actual Tx power.
-     * \param dest Destination of the transmission.
+     * @param path The trace path.
+     * @param oldPower Old Tx power.
+     * @param newPower Actual Tx power.
+     * @param dest Destination of the transmission.
      */
     void PowerCallback(std::string path, double oldPower, double newPower, Mac48Address dest);
     /**
-     * \brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
+     * @brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
      *
-     * \param path The trace path.
-     * \param oldRate Old rate.
-     * \param newRate Actual rate.
-     * \param dest Destination of the transmission.
+     * @param path The trace path.
+     * @param oldRate Old rate.
+     * @param newRate Actual rate.
+     * @param dest Destination of the transmission.
      */
     void RateCallback(std::string path, DataRate oldRate, DataRate newRate, Mac48Address dest);
     /**
-     * \brief Set the Position of a node.
+     * @brief Set the Position of a node.
      *
-     * \param node The node.
-     * \param position The position.
+     * @param node The node.
+     * @param position The position.
      */
     void SetPosition(Ptr<Node> node, Vector position);
     /**
      * Move a node.
-     * \param node The node.
-     * \param stepsSize The step size.
-     * \param stepsTime Time on each step.
+     * @param node The node.
+     * @param stepsSize The step size.
+     * @param stepsTime Time on each step.
      */
     void AdvancePosition(Ptr<Node> node, int stepsSize, Time stepsTime);
     /**
-     * \brief Get the Position of a node.
+     * @brief Get the Position of a node.
      *
-     * \param node The node.
-     * \return the position of the node.
+     * @param node The node.
+     * @return the position of the node.
      */
     Vector GetPosition(Ptr<Node> node);
 
     /**
-     * \brief Get the Throughput output data
+     * @brief Get the Throughput output data
      *
-     * \return the Throughput output data.
+     * @return the Throughput output data.
      */
     Gnuplot2dDataset GetDatafile();
     /**
-     * \brief Get the Power output data.
+     * @brief Get the Power output data.
      *
-     * \return the Power output data.
+     * @return the Power output data.
      */
     Gnuplot2dDataset GetPowerDatafile();
 
@@ -186,16 +186,16 @@
     /// Time, DataRate pair vector.
     typedef std::vector<std::pair<Time, DataRate>> TxTime;
     /**
-     * \brief Setup the WifiPhy object.
+     * @brief Setup the WifiPhy object.
      *
-     * \param phy The WifiPhy to setup.
+     * @param phy The WifiPhy to setup.
      */
     void SetupPhy(Ptr<WifiPhy> phy);
     /**
-     * \brief Get the time at which a given datarate has been recorded.
+     * @brief Get the time at which a given datarate has been recorded.
      *
-     * \param rate The datarate to search.
-     * \return the time.
+     * @param rate The datarate to search.
+     * @return the time.
      */
     Time GetCalcTxTime(DataRate rate);
 
@@ -243,7 +243,7 @@
         txVector.SetPreambleType(WIFI_PREAMBLE_LONG);
         txVector.SetChannelWidth(phy->GetChannelWidth());
         DataRate dataRate(mode.GetDataRate(phy->GetChannelWidth()));
-        Time time = phy->CalculateTxDuration(packetSize, txVector, phy->GetPhyBand());
+        Time time = WifiPhy::CalculateTxDuration(packetSize, txVector, phy->GetPhyBand());
         NS_LOG_DEBUG(mode.GetUniqueName() << " " << time.GetSeconds() << " " << dataRate);
         m_timeTable.emplace_back(time, dataRate);
     }
@@ -260,7 +260,7 @@
         }
     }
     NS_ASSERT(false);
-    return Seconds(0);
+    return Time(0);
 }
 
 void
@@ -272,16 +272,16 @@
 
     if (head.GetType() == WIFI_MAC_DATA)
     {
-        m_totalEnergy += pow(10.0, m_currentPower[dest] / 10.0) *
-                         GetCalcTxTime(m_currentRate[dest]).GetSeconds();
-        m_totalTime += GetCalcTxTime(m_currentRate[dest]).GetSeconds();
+        const auto txTimeSeconds = GetCalcTxTime(m_currentRate[dest]).GetSeconds();
+        m_totalEnergy += DbmToW(m_currentPower[dest]) * txTimeSeconds;
+        m_totalTime += txTimeSeconds;
     }
 }
 
 void
 NodeStatistics::PowerCallback(std::string path, double oldPower, double newPower, Mac48Address dest)
 {
-    m_currentPower[dest] = newPower;
+    m_currentPower[dest] = dBm_u{newPower};
 }
 
 void
@@ -351,10 +351,10 @@
 /**
  * Callback called by WifiNetDevice/RemoteStationManager/x/PowerChange.
  *
- * \param path The trace path.
- * \param oldPower Old Tx power.
- * \param newPower Actual Tx power.
- * \param dest Destination of the transmission.
+ * @param path The trace path.
+ * @param oldPower Old Tx power.
+ * @param newPower Actual Tx power.
+ * @param dest Destination of the transmission.
  */
 void
 PowerCallback(std::string path, double oldPower, double newPower, Mac48Address dest)
@@ -364,12 +364,12 @@
 }
 
 /**
- * \brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
+ * @brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
  *
- * \param path The trace path.
- * \param oldRate Old rate.
- * \param newRate Actual rate.
- * \param dest Destination of the transmission.
+ * @param path The trace path.
+ * @param oldRate Old rate.
+ * @param newRate Actual rate.
+ * @param dest Destination of the transmission.
  */
 void
 RateCallback(std::string path, DataRate oldRate, DataRate newRate, Mac48Address dest)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-power-adaptation-interference.cc ns-3.44/examples/wireless/wifi-power-adaptation-interference.cc
--- ns-3.43/examples/wireless/wifi-power-adaptation-interference.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-power-adaptation-interference.cc	2025-03-09 16:55:49.339371000 -0700
@@ -41,7 +41,7 @@
  * To enable the log of rate and power changes:
  * \code{.sh}
  *   export NS_LOG=PowerAdaptationInterference=level_info
- * \endcode
+ * @endcode
  */
 
 #include "ns3/command-line.h"
@@ -72,111 +72,111 @@
 static const uint32_t packetSize = 1420;
 
 /**
- * \brief Class to collect node statistics.
+ * @brief Class to collect node statistics.
  */
 class NodeStatistics
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      *
-     * \param aps Access points
-     * \param stas WiFi Stations.
+     * @param aps Access points
+     * @param stas WiFi Stations.
      */
     NodeStatistics(NetDeviceContainer aps, NetDeviceContainer stas);
 
     /**
-     * \brief Collects the statistics at a given time.
+     * @brief Collects the statistics at a given time.
      *
-     * \param time Time at which the statistics are collected.
+     * @param time Time at which the statistics are collected.
      */
     void CheckStatistics(double time);
 
     /**
-     * \brief Callback called by WifiNetDevice/Phy/PhyTxBegin.
+     * @brief Callback called by WifiNetDevice/Phy/PhyTxBegin.
      *
-     * \param path The trace path.
-     * \param packet The sent packet.
-     * \param powerW The Tx power.
+     * @param path The trace path.
+     * @param packet The sent packet.
+     * @param powerW The Tx power.
      */
     void PhyCallback(std::string path, Ptr<const Packet> packet, double powerW);
     /**
-     * \brief Callback called by PacketSink/Rx.
+     * @brief Callback called by PacketSink/Rx.
      *
-     * \param path The trace path.
-     * \param packet The received packet.
-     * \param from The sender address.
+     * @param path The trace path.
+     * @param packet The received packet.
+     * @param from The sender address.
      */
     void RxCallback(std::string path, Ptr<const Packet> packet, const Address& from);
     /**
-     * \brief Callback called by WifiNetDevice/RemoteStationManager/x/PowerChange.
+     * @brief Callback called by WifiNetDevice/RemoteStationManager/x/PowerChange.
      *
-     * \param path The trace path.
-     * \param oldPower Old Tx power.
-     * \param newPower Actual Tx power.
-     * \param dest Destination of the transmission.
+     * @param path The trace path.
+     * @param oldPower Old Tx power.
+     * @param newPower Actual Tx power.
+     * @param dest Destination of the transmission.
      */
     void PowerCallback(std::string path, double oldPower, double newPower, Mac48Address dest);
     /**
-     * \brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
+     * @brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
      *
-     * \param path The trace path.
-     * \param oldRate Old rate.
-     * \param newRate Actual rate.
-     * \param dest Destination of the transmission.
+     * @param path The trace path.
+     * @param oldRate Old rate.
+     * @param newRate Actual rate.
+     * @param dest Destination of the transmission.
      */
     void RateCallback(std::string path, DataRate oldRate, DataRate newRate, Mac48Address dest);
     /**
-     * \brief Callback called by YansWifiPhy/State/State.
+     * @brief Callback called by YansWifiPhy/State/State.
      *
-     * \param path The trace path.
-     * \param init Time when the state started.
-     * \param duration Amount of time we've been in (or will be in) the state.
-     * \param state The state.
+     * @param path The trace path.
+     * @param init Time when the state started.
+     * @param duration Amount of time we've been in (or will be in) the state.
+     * @param state The state.
      */
     void StateCallback(std::string path, Time init, Time duration, WifiPhyState state);
 
     /**
-     * \brief Get the Throughput output data
+     * @brief Get the Throughput output data
      *
-     * \return the Throughput output data.
+     * @return the Throughput output data.
      */
     Gnuplot2dDataset GetDatafile();
     /**
-     * \brief Get the Power output data.
+     * @brief Get the Power output data.
      *
-     * \return the Power output data.
+     * @return the Power output data.
      */
     Gnuplot2dDataset GetPowerDatafile();
     /**
-     * \brief Get the IDLE state output data.
+     * @brief Get the IDLE state output data.
      *
-     * \return the IDLE state output data.
+     * @return the IDLE state output data.
      */
     Gnuplot2dDataset GetIdleDatafile();
     /**
-     * \brief Get the BUSY state output data.
+     * @brief Get the BUSY state output data.
      *
-     * \return the BUSY state output data.
+     * @return the BUSY state output data.
      */
     Gnuplot2dDataset GetBusyDatafile();
     /**
-     * \brief Get the TX state output data.
+     * @brief Get the TX state output data.
      *
-     * \return the TX state output data.
+     * @return the TX state output data.
      */
     Gnuplot2dDataset GetTxDatafile();
     /**
-     * \brief Get the RX state output data.
+     * @brief Get the RX state output data.
      *
-     * \return the RX state output data.
+     * @return the RX state output data.
      */
     Gnuplot2dDataset GetRxDatafile();
 
     /**
-     * \brief Get the Busy time.
+     * @brief Get the Busy time.
      *
-     * \return the busy time.
+     * @return the busy time.
      */
     double GetBusyTime() const;
 
@@ -184,16 +184,16 @@
     /// Time, DataRate pair vector.
     typedef std::vector<std::pair<Time, DataRate>> TxTime;
     /**
-     * \brief Setup the WifiPhy object.
+     * @brief Setup the WifiPhy object.
      *
-     * \param phy The WifiPhy to setup.
+     * @param phy The WifiPhy to setup.
      */
     void SetupPhy(Ptr<WifiPhy> phy);
     /**
-     * \brief Get the time at which a given datarate has been recorded.
+     * @brief Get the time at which a given datarate has been recorded.
      *
-     * \param rate The datarate to search.
-     * \return the time.
+     * @param rate The datarate to search.
+     * @return the time.
      */
     Time GetCalcTxTime(DataRate rate);
 
@@ -264,7 +264,7 @@
         txVector.SetPreambleType(WIFI_PREAMBLE_LONG);
         txVector.SetChannelWidth(phy->GetChannelWidth());
         DataRate dataRate(mode.GetDataRate(phy->GetChannelWidth()));
-        Time time = phy->CalculateTxDuration(packetSize, txVector, phy->GetPhyBand());
+        Time time = WifiPhy::CalculateTxDuration(packetSize, txVector, phy->GetPhyBand());
         NS_LOG_DEBUG(mode.GetUniqueName() << " " << time.GetSeconds() << " " << dataRate);
         m_timeTable.emplace_back(time, dataRate);
     }
@@ -281,7 +281,7 @@
         }
     }
     NS_ASSERT(false);
-    return Seconds(0);
+    return Time(0);
 }
 
 void
@@ -293,16 +293,16 @@
 
     if (head.GetType() == WIFI_MAC_DATA)
     {
-        m_totalEnergy += pow(10.0, m_currentPower[dest] / 10.0) *
-                         GetCalcTxTime(m_currentRate[dest]).GetSeconds();
-        m_totalTime += GetCalcTxTime(m_currentRate[dest]).GetSeconds();
+        const auto txTimeSeconds = GetCalcTxTime(m_currentRate[dest]).GetSeconds();
+        m_totalEnergy += DbmToW(m_currentPower[dest]) * txTimeSeconds;
+        m_totalTime += txTimeSeconds;
     }
 }
 
 void
 NodeStatistics::PowerCallback(std::string path, double oldPower, double newPower, Mac48Address dest)
 {
-    m_currentPower[dest] = newPower;
+    m_currentPower[dest] = dBm_u{newPower};
 }
 
 void
@@ -413,10 +413,10 @@
 /**
  * Callback called by WifiNetDevice/RemoteStationManager/x/PowerChange.
  *
- * \param path The trace path.
- * \param oldPower Old Tx power.
- * \param newPower Actual Tx power.
- * \param dest Destination of the transmission.
+ * @param path The trace path.
+ * @param oldPower Old Tx power.
+ * @param newPower Actual Tx power.
+ * @param dest Destination of the transmission.
  */
 void
 PowerCallback(std::string path, double oldPower, double newPower, Mac48Address dest)
@@ -426,12 +426,12 @@
 }
 
 /**
- * \brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
+ * @brief Callback called by WifiNetDevice/RemoteStationManager/x/RateChange.
  *
- * \param path The trace path.
- * \param oldRate Old rate.
- * \param newRate Actual rate.
- * \param dest Destination of the transmission.
+ * @param path The trace path.
+ * @param oldRate Old rate.
+ * @param newRate Actual rate.
+ * @param dest Destination of the transmission.
  */
 void
 RateCallback(std::string path, DataRate oldRate, DataRate newRate, Mac48Address dest)
@@ -578,8 +578,8 @@
 
     OnOffHelper onoff("ns3::UdpSocketFactory", InetSocketAddress(sinkAddress, port));
     onoff.SetConstantRate(DataRate("54Mb/s"), packetSize);
-    onoff.SetAttribute("StartTime", TimeValue(Seconds(0.0)));
-    onoff.SetAttribute("StopTime", TimeValue(Seconds(100.0)));
+    onoff.SetAttribute("StartTime", TimeValue(Seconds(0)));
+    onoff.SetAttribute("StopTime", TimeValue(Seconds(100)));
     ApplicationContainer apps_source = onoff.Install(wifiApNodes.Get(0));
 
     PacketSinkHelper sink1("ns3::UdpSocketFactory", InetSocketAddress(sinkAddress1, port));
@@ -587,8 +587,8 @@
 
     OnOffHelper onoff1("ns3::UdpSocketFactory", InetSocketAddress(sinkAddress1, port));
     onoff1.SetConstantRate(DataRate("54Mb/s"), packetSize);
-    onoff1.SetAttribute("StartTime", TimeValue(Seconds(0.0)));
-    onoff1.SetAttribute("StopTime", TimeValue(Seconds(100.0)));
+    onoff1.SetAttribute("StartTime", TimeValue(Seconds(0)));
+    onoff1.SetAttribute("StopTime", TimeValue(Seconds(100)));
     apps_source.Add(onoff1.Install(wifiApNodes.Get(1)));
 
     apps_sink.Start(Seconds(0.5));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-rate-adaptation-distance.cc ns-3.44/examples/wireless/wifi-rate-adaptation-distance.cc
--- ns-3.43/examples/wireless/wifi-rate-adaptation-distance.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-rate-adaptation-distance.cc	2025-03-09 16:55:49.339371000 -0700
@@ -70,39 +70,39 @@
   public:
     /**
      * Constructor
-     * \param aps AP devices
-     * \param stas STA devices
+     * @param aps AP devices
+     * @param stas STA devices
      */
     NodeStatistics(NetDeviceContainer aps, NetDeviceContainer stas);
 
     /**
      * RX callback
-     * \param path path
-     * \param packet received packet
-     * \param from sender
+     * @param path path
+     * @param packet received packet
+     * @param from sender
      */
     void RxCallback(std::string path, Ptr<const Packet> packet, const Address& from);
     /**
      * Set node position
-     * \param node the node
-     * \param position the position
+     * @param node the node
+     * @param position the position
      */
     void SetPosition(Ptr<Node> node, Vector position);
     /**
      * Advance node position
-     * \param node the node
-     * \param stepsSize the size of a step
-     * \param stepsTime the time interval between steps
+     * @param node the node
+     * @param stepsSize the size of a step
+     * @param stepsTime the time interval between steps
      */
     void AdvancePosition(Ptr<Node> node, int stepsSize, int stepsTime);
     /**
      * Get node position
-     * \param node the node
-     * \return the position
+     * @param node the node
+     * @return the position
      */
     Vector GetPosition(Ptr<Node> node);
     /**
-     * \return the gnuplot 2d dataset
+     * @return the gnuplot 2d dataset
      */
     Gnuplot2dDataset GetDatafile();
 
@@ -162,8 +162,8 @@
 /**
  * Callback for 'Rate' trace source
  *
- * \param oldRate old MCS rate (bits/sec)
- * \param newRate new MCS rate (bits/sec)
+ * @param oldRate old MCS rate (bits/sec)
+ * @param newRate new MCS rate (bits/sec)
  */
 void
 RateCallback(uint64_t oldRate, uint64_t newRate)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-simple-adhoc.cc ns-3.44/examples/wireless/wifi-simple-adhoc.cc
--- ns-3.43/examples/wireless/wifi-simple-adhoc.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-simple-adhoc.cc	2025-03-09 16:55:49.339371000 -0700
@@ -57,7 +57,7 @@
 /**
  * Function called when a packet is received.
  *
- * \param socket The receiving socket.
+ * @param socket The receiving socket.
  */
 void
 ReceivePacket(Ptr<Socket> socket)
@@ -71,10 +71,10 @@
 /**
  * Generate traffic.
  *
- * \param socket The sending socket.
- * \param pktSize The packet size.
- * \param pktCount The packet count.
- * \param pktInterval The interval between two packets.
+ * @param socket The sending socket.
+ * @param pktSize The packet size.
+ * @param pktCount The packet count.
+ * @param pktInterval The interval between two packets.
  */
 static void
 GenerateTraffic(Ptr<Socket> socket, uint32_t pktSize, uint32_t pktCount, Time pktInterval)
@@ -189,7 +189,7 @@
     NS_LOG_UNCOND("Testing " << numPackets << " packets sent with receiver rss " << rss);
 
     Simulator::ScheduleWithContext(source->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &GenerateTraffic,
                                    source,
                                    packetSize,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-simple-adhoc-grid.cc ns-3.44/examples/wireless/wifi-simple-adhoc-grid.cc
--- ns-3.43/examples/wireless/wifi-simple-adhoc-grid.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-simple-adhoc-grid.cc	2025-03-09 16:55:49.339371000 -0700
@@ -97,7 +97,7 @@
 /**
  * Function called when a packet is received.
  *
- * \param socket The receiving socket.
+ * @param socket The receiving socket.
  */
 void
 ReceivePacket(Ptr<Socket> socket)
@@ -111,10 +111,10 @@
 /**
  * Generate traffic.
  *
- * \param socket The sending socket.
- * \param pktSize The packet size.
- * \param pktCount The packet count.
- * \param pktInterval The interval between two packets.
+ * @param socket The sending socket.
+ * @param pktSize The packet size.
+ * @param pktCount The packet count.
+ * @param pktInterval The interval between two packets.
  */
 static void
 GenerateTraffic(Ptr<Socket> socket, uint32_t pktSize, uint32_t pktCount, Time pktInterval)
@@ -259,7 +259,7 @@
     }
 
     // Give OLSR time to converge-- 30 seconds perhaps
-    Simulator::Schedule(Seconds(30.0),
+    Simulator::Schedule(Seconds(30),
                         &GenerateTraffic,
                         source,
                         packetSize,
@@ -270,7 +270,7 @@
     NS_LOG_UNCOND("Testing from node " << sourceNode << " to " << sinkNode << " with grid distance "
                                        << distance);
 
-    Simulator::Stop(Seconds(33.0));
+    Simulator::Stop(Seconds(33));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-simple-ht-hidden-stations.cc ns-3.44/examples/wireless/wifi-simple-ht-hidden-stations.cc
--- ns-3.43/examples/wireless/wifi-simple-ht-hidden-stations.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-simple-ht-hidden-stations.cc	2025-03-09 16:55:49.339371000 -0700
@@ -166,8 +166,8 @@
     uint16_t port = 9;
     UdpServerHelper server(port);
     ApplicationContainer serverApp = server.Install(wifiApNode);
-    serverApp.Start(Seconds(0.0));
-    serverApp.Stop(simulationTime + Seconds(1.0));
+    serverApp.Start(Seconds(0));
+    serverApp.Stop(simulationTime + Seconds(1));
     streamNumber += server.AssignStreams(wifiApNode, streamNumber);
 
     UdpClientHelper client(ApInterface.GetAddress(0), port);
@@ -177,8 +177,8 @@
 
     // Saturated UDP traffic from stations to AP
     ApplicationContainer clientApp1 = client.Install(wifiStaNodes);
-    clientApp1.Start(Seconds(1.0));
-    clientApp1.Stop(simulationTime + Seconds(1.0));
+    clientApp1.Start(Seconds(1));
+    clientApp1.Stop(simulationTime + Seconds(1));
     streamNumber += client.AssignStreams(wifiStaNodes, streamNumber);
 
     phy.EnablePcap("SimpleHtHiddenStations_Ap", apDevice.Get(0));
@@ -188,7 +188,7 @@
     AsciiTraceHelper ascii;
     phy.EnableAsciiAll(ascii.CreateFileStream("SimpleHtHiddenStations.tr"));
 
-    Simulator::Stop(simulationTime + Seconds(1.0));
+    Simulator::Stop(simulationTime + Seconds(1));
 
     Simulator::Run();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-simple-infra.cc ns-3.44/examples/wireless/wifi-simple-infra.cc
--- ns-3.43/examples/wireless/wifi-simple-infra.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-simple-infra.cc	2025-03-09 16:55:49.339371000 -0700
@@ -89,7 +89,7 @@
 /**
  * Function called when a packet is received.
  *
- * \param socket The receiving socket.
+ * @param socket The receiving socket.
  */
 void
 ReceivePacket(Ptr<Socket> socket)
@@ -103,10 +103,10 @@
 /**
  * Generate traffic.
  *
- * \param socket The sending socket.
- * \param pktSize The packet size.
- * \param pktCount The packet count.
- * \param pktInterval The interval between two packets.
+ * @param socket The sending socket.
+ * @param pktSize The packet size.
+ * @param pktCount The packet count.
+ * @param pktInterval The interval between two packets.
  */
 static void
 GenerateTraffic(Ptr<Socket> socket, uint32_t pktSize, uint32_t pktCount, Time pktInterval)
@@ -229,14 +229,14 @@
     std::cout << "Testing " << numPackets << " packets sent with receiver rss " << rss << std::endl;
 
     Simulator::ScheduleWithContext(source->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &GenerateTraffic,
                                    source,
                                    packetSize,
                                    numPackets,
                                    interval);
 
-    Simulator::Stop(Seconds(30.0));
+    Simulator::Stop(Seconds(30));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-simple-interference.cc ns-3.44/examples/wireless/wifi-simple-interference.cc
--- ns-3.43/examples/wireless/wifi-simple-interference.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-simple-interference.cc	2025-03-09 16:55:49.339371000 -0700
@@ -87,8 +87,8 @@
 /**
  * Print a packer that has been received.
  *
- * \param socket The receiving socket.
- * \return a string with the packet details.
+ * @param socket The receiving socket.
+ * @return a string with the packet details.
  */
 static inline std::string
 PrintReceivedPacket(Ptr<Socket> socket)
@@ -111,7 +111,7 @@
 /**
  * Function called when a packet is received.
  *
- * \param socket The receiving socket.
+ * @param socket The receiving socket.
  */
 static void
 ReceivePacket(Ptr<Socket> socket)
@@ -122,10 +122,10 @@
 /**
  * Generate traffic
  *
- * \param socket The seding socket.
- * \param pktSize The packet size.
- * \param pktCount The packet counter.
- * \param pktInterval The interval between two packets.
+ * @param socket The sending socket.
+ * @param pktSize The packet size.
+ * @param pktCount The packet counter.
+ * @param pktInterval The interval between two packets.
  */
 static void
 GenerateTraffic(Ptr<Socket> socket, uint32_t pktSize, uint32_t pktCount, Time pktInterval)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-sleep.cc ns-3.44/examples/wireless/wifi-sleep.cc
--- ns-3.43/examples/wireless/wifi-sleep.cc	2024-10-09 16:41:09.840655800 -0700
+++ ns-3.44/examples/wireless/wifi-sleep.cc	2025-03-09 16:55:49.339371000 -0700
@@ -58,9 +58,9 @@
 /**
  * Remaining energy trace sink
  *
- * \tparam node The node ID this trace belongs to.
- * \param oldValue Old value.
- * \param newValue New value.
+ * @tparam node The node ID this trace belongs to.
+ * @param oldValue Old value.
+ * @param newValue New value.
  */
 template <int node>
 void
@@ -77,11 +77,11 @@
 /**
  * PHY state trace sink
  *
- * \tparam node The node ID this trace belongs to.
- * \param context The context
- * \param start Start time for the current state
- * \param duration Duratio of the current state
- * \param state State
+ * @tparam node The node ID this trace belongs to.
+ * @param context The context
+ * @param start Start time for the current state
+ * @param duration Duratio of the current state
+ * @param state State
  */
 template <int node>
 void
@@ -245,7 +245,7 @@
     Config::Connect("/NodeList/0/DeviceList/*/Phy/State/State", MakeCallback(&PhyStateTrace<0>));
     Config::Connect("/NodeList/1/DeviceList/*/Phy/State/State", MakeCallback(&PhyStateTrace<1>));
 
-    Simulator::Stop(duration + Seconds(1.0));
+    Simulator::Stop(duration + Seconds(1));
 
     Simulator::Run();
     Simulator::Destroy();
